 :root {
      --bg-dark: #111827;
      --bg-panel: #2f2b70;
      --color-accent: #6366f1;
      --color-light: #f9fafb;
      --color-muted: #9ca3af;
      --hover-bg: #374151;
    }

    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }

     @import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
  body {
    background-image: url('../images/bg-general.png') !important; /* Cambia esta ruta por la de tu imagen */
    background-size: cover;        /* Hace que la imagen cubra toda la pantalla */
    background-repeat: no-repeat;  /* Evita que la imagen se repita */
    background-position: center;   /* Centra la imagen */
               /* Elimina márgenes por defecto */
   
      font-family: "Montserrat", sans-serif;

  }

    header {
  position: relative;
  z-index: 100;
  max-height: 4rem;
  padding: 1rem 1.5rem;
  display: flex !important;
  align-items: center;
  justify-content: space-between;

    box-shadow: rgba(33, 35, 38, 0.1) 0px 10px 10px -10px;

  background-color: #cfcfd4; /* transparente para mostrar el fondo */
}

header::before {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background-image: url('../images/bg-general.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  filter: blur(2px);
  z-index: -1; /* detrás del contenido */
}


    header a:hover{
         color: white;
   
    }

    .cm-header-search-group {
      border-radius: 1.2rem;
      background-color: #f9fafb;
      display: flex;
      flex: 1;
      max-width: 500px;
      margin-left: 1rem;
      justify-content: center;
      align-items: center;
    }

    .cm-header-search-group input {
      flex: 1;
      background: transparent;
      border: none;
      color: black !important;
      padding: 0.5rem;
      font-size: 0.95rem;
      width: 100%;
    }
  .cm-header-search-group form {
      flex: 1;
      border: none;
      color: black;
 
      font-size: 0.95rem;
    }

    .cm-header-search-group input:focus {
      border: none;
    }

    .cm-header-nav-links {
      display: flex;
      align-items: center;
      gap: 1.2rem;
    }

    .cm-header-nav-links a,
    .cm-header-nav-links button {
      background: none;
      border: none;
      color:black;
      font-size: 0.95rem;
      cursor: pointer;
      transition: color 0.2s ease;
      text-decoration: none;
    }

    .cm-header-nav-links a:hover,
    .cm-header-nav-links button:hover {
     
       text-decoration: none;
       font-weight: bold;
        color:black;
    }

    .cm-header-profile {
      position: relative;
    }

    .cm-header-profile-menu {
      position: absolute;
      top: 110%;
      right: 0;

      display: none;
      flex-direction: column;
      min-width: 160px;
      z-index: 5000;

   
    }

    .cm-header-profile.open .cm-header-profile-menu {
      display: flex;
    }

    .cm-header-profile-menu a {
      background: none;
      border: none;
      color: black;
      text-align: left;
      padding: 0.8rem 1rem;
      font-size: 0.9rem;
      cursor: pointer;
    }

    .cm-header-profile-menu a:hover {
      background-color: #4b5563;
    }

    .cm-header-hamburger {
      display: none;
      flex-direction: column;
      cursor: pointer;
      gap: 5px;
    }

    .cm-header-hamburger div {
      width: 22px;
      height: 2px;
      background-color: black;
    }

    .cm-header-mobile-menu {
  position: fixed;
  top: 0;
  left: -260px;
  width: 240px;
  height: 100vh;
  padding: 5rem 1rem;
  gap: 1rem;
  display: flex;
  flex-direction: column;
  transition: left 0.3s ease;
  z-index: 99;
  background-color: #cfcfd4; /* transparente para mostrar el fondo */
  overflow: hidden;
box-shadow: 5px 1px 26px -8px rgba(0,0,0,0.75);
-webkit-box-shadow: 5px 1px 26px -8px rgba(0,0,0,0.75);
-moz-box-shadow: 5px 1px 26px -8px rgba(0,0,0,0.75);
}

.cm-header-mobile-menu::before {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background-image: url('../images/bg-general.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  filter: blur(4px);
  z-index: -1;
}


    .cm-header-mobile-menu.open {
      left: 0;
    }

    .cm-header-mobile-menu a,
    .cm-header-mobile-menu button {
      background: none;
      border: none;
      color: black;
      font-size: 0.9rem;
      text-align: left;
      padding: 0.5rem;
      cursor: pointer;
      text-decoration: none;
    }

    .cm-header-mobile-menu a:hover {
color: black;
    }

    .cm-header-mobile-menu .cm-header-profile-menu {
      position: relative;
      border: none;
      background: none;
    }

    .cm-header-mobile-menu .cm-header-profile.open .cm-header-profile-menu {
      display: flex;
      background: white;
    }

    .cm-header-custom-dropdown {
      position: relative;
    }

    .cm-header-custom-dropdown .cm-header-dropdown-toggle {
      background: none;
      border: none;
      color: var(--color-light);
      padding: 0.5rem;
      font-size: 14px;
      cursor: pointer;
    }

    .cm-header-dropdown-toggle-dk {
      height: 100%;
      border: none;
      border-left: 2px solid rgb(207, 207, 207);
      background: none;
      color: black  !important;
      padding: 0.5rem;
      font-size: 14px;
      cursor: pointer;
    }

    .cm-header-custom-dropdown .cm-header-dropdown-menu {
      position: absolute;
      top: 110%;
      left: 0;
      display: none;
      flex-direction: column;
      min-width: 160px;
      z-index: 50;
      border-radius: 0.5rem;
      overflow: hidden;
    }

    .cm-header-custom-dropdown.open .cm-header-dropdown-menu {
      display: flex;
    }

    .cm-header-custom-dropdown .cm-header-dropdown-menu a {
      background: none;
      border: none;
      color: var(--color-light);
      text-align: left;
      padding: 0.8rem 1rem;
      font-size: 0.9rem;
      cursor: pointer;

    }

    .cm-header-custom-dropdown .cm-header-dropdown-menu a:hover {
      text-decoration: none;
      
    }

    .cm-header-dropdown-movile {
      border: none;
    }

    .cm-header-dropdown-movile * {
      border: none;
      color: #f9fafb;
    }

    @media (max-width: 768px) {
      .cm-header-quitar-movile {
        display: none;
      }

      .cm-header-nav-links {
        display: none;
      }

      .cm-header-hamburger {
        display: flex;
      }

      header {
        justify-content: flex-start;
      }

      .cm-header-search-group {
        margin-left: 1rem;
        margin-right: auto;
      }

      .offlog-header-about{
        margin-left: auto;
        margin-right: 0px !important;
      }

      .logopng-header{
        display: none;
        }
    }


    .cm-header-custom-dropdown .cm-header-dropdown-menu {
  background-color: var(--bg-panel);
  filter: brightness(115%);
  box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
}

.cm-header-custom-dropdown .cm-header-dropdown-menu  a:hover {
      background-color: var(--bg-panel);
      filter: brightness(90%);
      font-weight: bold;
      
    }


       .cm-header-profile-menu {
        color: black;
   background-color:white;
  filter: brightness(115%);
  box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
 

    }

        .cm-header-profile-menu a:hover {
           color: black;
      background-color:white;
      filter: brightness(90%);
      font-weight: bold;
    }





.offlog-header-about{
    margin-right: auto;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}



.logopng-header{
   height: 47px;
}

.cm-header-mobile-menu svg{
    margin-right: 0.5rem;
}


.cm-header-title-mobile {
  color: white;
  display: block; /* Visible por defecto en mobile */
}



.cm-header-title-mobile img{
  max-height: 50px;

}

@media (min-width: 768px) {
  .cm-header-title-mobile {
    display: none; /* Oculto en escritorio */
  }
}





